Subject: bug#31824: closed (Re: bug#31824: guix offload test fails when the remote daemon uses --debug)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 18 Jun 2018 01:46:02 +0000

Your bug report

#31824: guix offload test fails when the remote daemon uses --debug

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31824: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31824
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31824: guix offload test fails when the remote daemon uses --debug
From: Maxim Cournoyer <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Sun, 17 Jun 2018 21:45:18 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludo!

[email-masked] (Ludovic Courtès) writes:

> Hello,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> In guix/scripts/offload.scm:
>>     579:6  3 (_ _ . _)
>> In ice-9/format.scm:
>>   1590:19  2 (format #<output: file /dev/pts/1> "~:[~*~;guix ~a: ~]…" …)
>>    197:20  1 (format:format-work "~:[~*~;guix ~a: ~]~aremove evalua…" …)
>> In unknown file:
>>            0 (scm-error misc-error #f "~A" ("error in format") #f)
>
> I fixed the format issue in 265048cc897af8189c64cdfaa41820490f8fad9e.
> Could you try again?

Tried it, and it's working great! Thanks for the quick fix!

> This may be the same issue as <https://bugs.gnu.org/31023>.

I'm not sure as I'm not yet able to offload yet, but I'll report in the
bug above when I do!

I'm closing this one :).

Maxim

Subject: guix offload test fails when the remote daemon uses --debug
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Wed, 13 Jun 2018 21:39:25 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I don't know if it is worthy of reporting, but I discovered the
following crash when attempting to use the '--debug' argument on the
remote guix-daemon process and issuing 'guix offload test' on my local
machine:

--8<---------------cut here---------------start------------->8---
guix offload test
guix offload: testing 1 build machines defined in '/etc/guix/machines.scm'...
guix offload: '192.168.1.105' is running guile (GNU Guile) 2.2.3
guix offload: error: remove evaluation on '(Evaluation failed scheme@(guile-user)> ERROR: In procedure display:
In procedure display: Wrong type argument in position 2: #<closed: file 1186e00> ())' failed:
FORMAT: error with call: (format #<output: file /dev/pts/1> "~:[~*~;guix ~a: ~]~aremove evaluation on '~a' failed:~{ ~s~}<===~%" offload offload error:  (Evaluation failed scheme@(guile-user)> ERROR: In procedure display:
In procedure display: Wrong type argument in position 2: #<closed: file 1186e00> ()) ===>)
        missing argument(s)
Backtrace:
          11 (apply-smob/1 #<catch-closure 2253640>)
In ice-9/boot-9.scm:
    705:2 10 (call-with-prompt _ _ #<procedure default-prompt-handle…>)
In ice-9/eval.scm:
    619:8  9 (_ #(#(#<directory (guile-user) 2308140>)))
In guix/ui.scm:
  1501:12  8 (run-guix-command _ . _)
In ice-9/boot-9.scm:
    829:9  7 (catch srfi-34 #<procedure 2764040 at guix/ui.scm:552:…> …)
    829:9  6 (catch system-error #<procedure 2764060 at guix/script…> …)
In guix/scripts/offload.scm:
    637:6  5 (check-machine-availability _ _)
In srfi/srfi-1.scm:
   656:11  4 (for-each #<procedure assert-node-has-guix (node name)> …)
In guix/scripts/offload.scm:
    579:6  3 (_ _ . _)
In ice-9/format.scm:
  1590:19  2 (format #<output: file /dev/pts/1> "~:[~*~;guix ~a: ~]…" …)
   197:20  1 (format:format-work "~:[~*~;guix ~a: ~]~aremove evalua…" …)
In unknown file:
           0 (scm-error misc-error #f "~A" ("error in format") #f)

ERROR: In procedure scm-error:
error in format
--8<---------------cut here---------------end--------------->8---

If I remove the --debug option, it still fails, but this is another bug:

--8<---------------cut here---------------start------------->8---
guix offload test
guix offload: testing 1 build machines defined in '/etc/guix/machines.scm'...
guix offload: '192.168.1.105' is running guile (GNU Guile) 2.2.3
guix offload: Guix is usable on '192.168.1.105' (test returned "/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
sending 1 store item to '192.168.1.105'...
exporting path `/gnu/store/3y6882jwsjc76bfv51j037dvyx5p99w3-export-test'
guix offload: error: build failed: program `guix-authenticate' failed
with exit code 1
--8<---------------cut here---------------end--------------->8---

Thanks,

Maxim